How to add dimensions to a drawing (blueprint)?

Post here for help on using FreeCAD's graphical user interface (GUI).
Forum rules
and Helpful information
IMPORTANT: Please click here and read this first, before asking for help

Also, be nice to others! Read the FreeCAD code of conduct!
hyicakec3
Posts: 2
Joined: Thu Jan 10, 2013 3:02 pm

How to add dimensions to a drawing (blueprint)?

Postby hyicakec3 » Thu Jan 10, 2013 3:20 pm

Hi,

I'm using FreeCAD only since short time, so please forgive my ignorance.

Version: 0.13 (2012-11-20) on Debian

Assuming I create a very simple object, e.g. a solid box.
I can add a dimension to this box.
Then I can insert the view into a drawing, but there I can only see the box, but not the dimension.
What am I missing?
Do I need some Python scripting for this?
If so, how would the code look like?

Many thanks in advance!
kwahooo
Posts: 204
Joined: Wed May 19, 2010 11:11 pm
Contact:

Re: How to add dimensions to a drawing (blueprint)?

Postby kwahooo » Thu Jan 10, 2013 4:26 pm

In the Draft Workbench there is "Put the selected object on the Drawing sheet" tool (blue arrow and a page symbol). Select a dimension and use the tool. Unfortunately you have to adjust scale and position of "ViewDimension" manually. Some time ago a I wrote a script for homogenize scales and directions viewtopic.php?f=8&t=3089&p=24261#p24261
hyicakec3
Posts: 2
Joined: Thu Jan 10, 2013 3:02 pm

Re: How to add dimensions to a drawing (blueprint)?

Postby hyicakec3 » Thu Jan 10, 2013 9:06 pm

kwahooo wrote:In the Draft Workbench there is "Put the selected object on the Drawing sheet" tool (blue arrow and a page symbol). Select a dimension and use the tool. Unfortunately you have to adjust scale and position of "ViewDimension" manually. Some time ago a I wrote a script for homogenize scales and directions viewtopic.php?f=8&t=3089&p=24261#p24261
Many thanks! Esp. for the script. The Python scripting feature of FreeCAD is just great.
daidalosnet
Posts: 5
Joined: Thu Jan 31, 2013 9:07 pm

Re: How to add dimensions to a drawing (blueprint)?

Postby daidalosnet » Fri Feb 01, 2013 5:02 am

I have the same question but the answer doesn't help me, I just get a blank blueprint when I click on "puts the selected objects on a drawing sheet"

I created a box and a cylinder through the box, then copied the cylinder several times, grouped it and then cut the two objects.
How do I get a neat blueprint for a 3D object that was created this way?

-> I selected the "cut"-object and clicked on "puts the selected objects on a drawing sheet", but I just got an error and a blank blueprint.

I attached my object, thanks for your help!
Attachments
example.FCStd
blueprint_problem
(131.41 KiB) Downloaded 111 times
User avatar
wandererfan
Posts: 3318
Joined: Tue Nov 06, 2012 5:42 pm

Re: How to add dimensions to a drawing (blueprint)?

Postby wandererfan » Mon Feb 04, 2013 8:38 pm

I selected the "cut"-object and clicked on "puts the selected objects on a drawing sheet", but I just got an error and a blank blueprint.
If the error message is something like: 'NoneType' object has no attribute 'PropertiesList', don't worry about it. It's a known problem.

Change the "scale" property of Page.ViewCut. It is probably too high. 2-3 makes the square visible (but I don't see the dots (cylinders)).
User avatar
NormandC
Posts: 18534
Joined: Sat Feb 06, 2010 9:52 pm
Location: Québec, Canada

Re: How to add dimensions to a drawing (blueprint)?

Postby NormandC » Mon Feb 04, 2013 11:47 pm

wandererfan wrote:Change the "scale" property of Page.ViewCut. It is probably too high. 2-3 makes the square visible (but I don't see the dots (cylinders)).
They're there, you just have to zoom in. But they don't show as circles, more like rounded squares, very odd. Currently the Drawing module is lagging in development, there are quite a few bugs.
jmaustpc
Posts: 9581
Joined: Tue Jul 26, 2011 6:28 am
Location: Australia

Re: How to add dimensions to a drawing (blueprint)?

Postby jmaustpc » Tue Feb 05, 2013 1:04 am

Hi daidalosnet

The problem with the cylinders is that they have a radius of "0" i.e. zero! So the software is rounding some values, I think it depends on the precision values you have set in Draft preferences as to what size is shown, but regardless the fundamental problem is that your cylinder should not have a 0 radius.

Secondly, you seem to have made "simple" copies of your cylinder, which is OK if that's what you want, but it means that the copies are not parametric.

I think you have created these from a script, so I don't know if you will find the following useful or not.

If you were wanting to create all these cylinders with the GUI, then I would suggest you create just one parametric Cylinder and then use Yorik's Draft Array tool, then all the cylinders would be parametric, and the parameters would be conveniently adjustable in one place, their grid layout would be defined by the Array tool.

Note that also that you can use this tool to make an Array of an Array......etc. either Polar or Lineal as well as in any combination of Polar, Lineal.

Another possible way to go about this is to use the Jan's PartDesign Pattern tools.

The tools are similar. The basic difference is that the Draft tool makes an array of "objects" where as the PartDesign tool makes an array of features on a single object. E.g. Draft Array would give you an array of Cylinders which you could then use for something, like lets say you have a plate of steel and then you could use the cylinders with Part Boolean to "cut" holes in the steel plate. Whereas in PartDesign, you would have made the steel plate by "padding" a sketch, you then would make a sketch of the desired hole, make a single hole in the plate with a "pocket" from that "hole" sketch, then use PartDesign_Pattern on the hole to make the array of holes.

I hope this helps.

Jim
User avatar
NormandC
Posts: 18534
Joined: Sat Feb 06, 2010 9:52 pm
Location: Québec, Canada

Re: How to add dimensions to a drawing (blueprint)?

Postby NormandC » Tue Feb 05, 2013 2:41 am

jmaustpc wrote:The problem with the cylinders is that they have a radius of "0" i.e. zero! So the software is rounding some values, I think it depends on the precision values you have set in Draft preferences as to what size is shown, but regardless the fundamental problem is that your cylinder should not have a 0 radius.
The cylinders' radius is not zero, it's 0.001.
jmaustpc
Posts: 9581
Joined: Tue Jul 26, 2011 6:28 am
Location: Australia

Re: How to add dimensions to a drawing (blueprint)?

Postby jmaustpc » Tue Feb 05, 2013 3:48 am

normandc wrote:
jmaustpc wrote:The problem with the cylinders is that they have a radius of "0" i.e. zero! So the software is rounding some values, I think it depends on the precision values you have set in Draft preferences as to what size is shown, but regardless the fundamental problem is that your cylinder should not have a 0 radius.
The cylinders' radius is not zero, it's 0.001.
Yes, your right! :)

I just typed this on the python command line

Code: Select all

App.ActiveDocument.Cylinder.Radius
and it gave me
0.0010000000474974513
:-)

Jim